#
# spec file for package whohas
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 8/2011 open-slx GmbH <Sascha.Manns@open-slx.de>
# Copyright (c) 2010 - 7/2011 Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           whohas
Version:        0.29
Release:        13.1
Summary:        Package list querying tool
License:        GPL-2.0+
Group:          System/Console
Url:            http://www.philippwesche.org/200811/whohas/intro.html
Source0:        http://www.philippwesche.org/200811/%{name}/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE whohas-fix_install.patch pth@suse.de -- Added a Makefile for Installation.
Patch0:         whohas-fix_install.patch
# PATCH-FIX-UPSTREAM manpage-0.23.patch asterios.dramis@gmail.com -- Add the --shallow option to the syntax line in the manpage
Patch1:         manpage-0.23.patch
# PATCH-FIX-UPSTREAM manpage-0.24.patch asterios.dramis@gmail.com -- Update the version number in the manual from 0.23 to 0.24
Patch2:         manpage-0.24.patch
# PATCH-FIX-UPSTREAM ubuntu-versions.patch deb#670675 asterios.dramis@gmail.com -- Show all versions of a package from Ubuntu, not just the earliest
Patch3:         ubuntu-versions.patch
# PATCH-FIX-UPSTREAM debian-versions.patch deb#655497 asterios.dramis@gmail.com -- Providing output for all Debian distributions
Patch4:         debian-versions.patch
# PATCH-FIX-UPSTREAM help-param-513476.patch deb#513476 asterios.dramis@gmail.com -- Handle the --help parameter instead of assuming it is a package name
Patch5:         help-param-513476.patch
# PATCH-FIX-UPSTREAM strictness-510020-510524.patch deb#510020 deb#510524 asterios.dramis@gmail.com -- Add a --strict option to output only exactly matching package names
Patch6:         strictness-510020-510524.patch
# PATCH-FIX-OPENSUSE gentoo-result-url-516071.patch deb#516071 asterios.dramis@gmail.com -- Return a more official link to the gentoo package, where more useful information can be found
Patch7:         gentoo-result-url-516071.patch
# PATCH-FIX-OPENSUSE improve-fetchdoc.patch asterios.dramis@gmail.com -- Shift some of the burden in sub fetchdoc onto the LWP::UserAgent class. This also allows us to process XML files without breaking the first line
Patch8:         improve-fetchdoc.patch
# PATCH-FIX-UPSTREAM openbsd-cache-results-557724.patch deb#557724 asterios.dramis@gmail.com -- For OpenBSD, use @name to loop through a cached list, not @repos which is never populated
Patch9:         openbsd-cache-results-557724.patch
# PATCH-FIX-UPSTREAM dont-mask-vars-560891.patch deb#560891 asterios.dramis@gmail.com -- Remove a double-declaration of @dates
Patch10:        dont-mask-vars-560891.patch
# PATCH-FIX-OPENSUSE archlinux-url-561536.patch deb#561536 asterios.dramis@gmail.com -- Update search URL for Arch repositories
Patch11:        archlinux-url-561536.patch
# PATCH-FIX-OPENSUSE fedora-search-619873.patch deb#619873 asterios.dramis@gmail.com -- Support Fedora's package listing
Patch12:        fedora-search-619873.patch
# PATCH-FIX-UPSTREAM opensuse.patch asterios.dramis@gmail.com -- Fix openSUSE packages search
Patch13:        opensuse.patch
Requires:       perl = %{perl_version}
Requires:       perl-XML-Simple
Requires:       perl-libwww-perl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
whohas is a command line tool that allows querying several package lists at
once - currently supported are Arch, Debian, Fedora, Gentoo, Mandriva,
openSUSE, Slackware (and linuxpackages.net), Source Mage, Ubuntu, FreeBSD,
NetBSD, OpenBSD, Fink, MacPorts, Cygwin and OpenMoko. whohas is written in Perl
and was designed to help package maintainers find ebuilds, pkgbuilds and
similar package definitions from other distributions to learn from. However, it
can also be used by normal users who want to know:

 * Which distribution provides packages on which the user depends.
 * What version of a given package is in use in each distribution, or in each
   release of a distribution (not implemented for all distributions).

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

# Fix permissions (fix for rpmlint errors "spurious-executable-perm" and "executable-docs")
chmod 755 html_assets
chmod 644 Changelog LICENSE intro.html intro.txt html_assets/*

%build

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE intro.html intro.txt html_assets/
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1%{ext_man}
%doc %dir %{_mandir}/de/man1
%doc %{_mandir}/de/man1/%{name}.1%{ext_man}

%changelog
* Thu Nov 15 2012 asterios.dramis@gmail.com
- Replaced the following patches:
  * debian-versions-511364.patch with debian-versions.patch (updated the fix to
    correctly show all Debian versions - taken from Debian).
  * opensuse-searchpath-585596.patch with opensuse.patch (updated the fix to
    make it work with http://software.opensuse.org/search).
  * ubuntu-versions-510203.patch with ubuntu-versions.patch (updated the fix to
    correctly show all Ubuntu versions - taken from Debian).
- Updated the following patches (taken from Debian):
  * help-param-513476.patch (added patch description).
  * manpage-0.24.patch (added patch description).
  * strictness-510020-510524.patch (added patch description, update man pages).
- Renamed and Rebased the following patches (taken from Debian):
  * fedora-search-619873 with fedora-search-619873.patch
  * openbsd-cache-results-557724 with openbsd-cache-results-557724.patch
- Rebased the following patches (taken from Debian):
  * archlinux-url-561536.patch.
  * dont-mask-vars-560891.patch.
  * gentoo-result-url-516071.patch.
  * improve-fetchdoc.patch.
* Sat Feb  4 2012 asterios.dramis@gmail.com
- Rebased ubuntu-versions-510203.patch to apply cleanly.
- Removed opkg-repo.patch (repository doesn't respond).
- Readded openbsd-cache-results-557724.patch (problem not fixed upstream).
- Added fedora-search-619873.patch (taken from Debian) to support Fedora's
  package listing.
- Fix compilation in SLE (don't use make_install macro).
* Sun Dec  4 2011 asterios.dramis@gmail.com
- Update to version 0.29:
  * fixed AUR module
  * fixed Mandriva module
  * fixed a problem with openBSD URL construction
  * added new Slackware module to replace the previous one which queried a
    now-defunct (third party) web interface
  * code cleanup
  * implemented functionality suggested by Guillaume Delacour and Steve Cotton
  * updated to current version numbers of Ubuntu, Mandriva, openSUSE, OpenBSD,
    Fedora, Slackware (13.1 not 13.37 as we're waiting on linuxpackages.net to
    update their search interface)
- Rebased the following patches to apply cleanly:
  * manpage-0.24.patch.
  * debian-versions-511364.patch.
  * help-param-513476.patch.
  * strictness-510020-510524.patch.
  * improve-fetchdoc.patch.
  * opensuse-searchpath-585596.patch.
- Marked the following patches as PATCH-NEEDS-REBASE (not critical):
  * ubuntu-versions-510203.patch.
  * opkg-repo.patch.
- Removed the following patches:
  * use-getopt-513473.patch (merged upstream).
  * openbsd-cache-results.patch (fixed upstream).
  * fedora-version.patch (fixed upstream).
  * openbsd-url-586537.patch (fixed upstream).
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Changed License: to GPL-2.0+ (SPDX style).
* Wed Aug 24 2011 Sascha.Manns@open-slx.de
- fixed build
* Sun Jul 24 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Removed find and perl-DateTime from Requires: (not needed).
  * Added perl-XML-Simple in Requires:.
  * Minor other updates.
- Added some patches (taken from Debian) that fix/improve various issues with
  the package and add support for more recent distributions.
- Removed whohas-opensuse-fix.patch and replaced it with the Debian patch which
  also shows the version number of a package.
* Sun Dec 26 2010 saigkill@opensuse.org
- prettyfied the spec file
* Tue Nov 16 2010 pth@suse.de
- Add a Makefile to do the install.
* Mon Nov 15 2010 saigkill@opensuse.org
- Updated patch. Thanks to Malcolm.
* Sun Nov 14 2010 saigkill@opensuse.org
- Removed the Patch, and added a new. This fixes both. The openSUSE
  Release is up to 11.3 and fixed the search URL.
* Sun Nov 14 2010 saigkill@opensuse.org
- added Patch that uses 11.3 instead of 11.2 as search term
* Sun Nov 14 2010 saigkill@opensuse.org
- removed finding binary and chmod
* Sun Nov 14 2010 saigkill@opensuse.org
- changed binary chmod from 744 to 644
* Sun Nov 14 2010 saigkill@opensuse.org
- ported whohas for openSUSE
- Initialversion 0.24
